{ ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./firewall
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "tower";
    vlans.internal = {
      id=100;
      interface="enp42s0";
    };
    interfaces.internal.ipv4.addresses = [{
      address = "11.0.0.100";
      prefixLength = 8;
    }];
  };

  system = {
    desktop.enable = true;
    nvidia.enable = true;
    stateVersion = "24.05";
  };

  virtualisation.libvirtd.enable = true;
}
